/*****************************************************
*
*
*
* SYSTEM NAME	: Literals
*
* DESCRIPTION	: These are COMMON to all N2WX switch C modules
*		  and always #include(d) during compilations
*
* DATE		DESCRIPTION
*30 mar 86	Initial development
******************************************************/

	/*** Helpful literals ***/
#define NULL 0
#define	NIL  0
#define FALSE 0
#define TRUE (-1)
#define EOF (-1)

	/*** type definitions. beautifiers. c/80 doesnt
	     support real "typedef" but that's not really our problem ***/
#define byte unsigned char
#define word unsigned int
#define end_if /**/
#define end_while /**/

/* GLOBAL is a null declaration, any var here will be referenced elsewhere */
#define GLOBAL /**/

	/* true for C80 inconsistensies -- set for to find 
	   parts in code which may exhibit incompatabilities,
	   or are a result of machine and/or compiler specific
	   operations */	

#define C80 (-1)



