
;buffer_size EQU  10	  ; Bytes in each buffer, must be 512 or larger
buffer_size EQU  1024	  ; Bytes in each buffer, must be 512 or larger
;buffer_full EQU  5	  ; Max count before handshaking
buffer_full EQU  768	  ; Max count before handshaking

; Hardware constants

pic_cmd_port	 EQU   020H   ; 8259 interrupt controller command address
pic_mask_port	 EQU   021H   ; 8259 interrupt controller mask address

; 8250 hardware constants

rbr_8250	 EQU 00H   ;	   xF8	 Receive Buffer Register
thr_8250	 EQU 00H   ;	   xF8	 Transmitter Holding Register
ier_8250	 EQU 01H   ;	   xF9	 Interrupt Enable Register
iir_8250	 EQU 02H   ;	   xFA	 Interrupt Identification Register
lcr_8250	 EQU 03H   ;	   xFB	 Line Control Register
mcr_8250	 EQU 04H   ;	   xFC	 Modem Control Register
lsr_8250	 EQU 05H   ;	   xFD	 Line Status Register
msr_8250	 EQU 06H   ;	   xFE	 Modem Status Register
dll_8250	 EQU 00H   ;	   xF8	 Divisor Latch Least Significant
dlm_8250	 EQU 01H   ;	   xF9	 Divisor Latch Most  Significant

; Communications constants

CR    EQU 0DH				; Carriage Return
LF    EQU 0AH				; Line Feed

